| OpenCV 4.3.0 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::rgbd::OdometryFrame Struct Reference
RGB-Depth Processing

`#include <opencv2/rgbd/depth.hpp>`

Inheritance diagram for cv::rgbd::OdometryFrame:

## Public Types
enum | { CACHE_SRC = 1, CACHE_DST = 2, CACHE_ALL = CACHE_SRC + CACHE_DST }

## Public Member Functions
| OdometryFrame ()
| OdometryFrame (const Mat &image, const Mat &depth, const Mat &mask=Mat(), const Mat &normals=Mat(), int ID=-1)
virtual void | release () CV_OVERRIDE
void | releasePyramids ()
Public Member Functions inherited from cv::rgbd::RgbdFrame
| RgbdFrame ()
| RgbdFrame (const Mat &image, const Mat &depth, const Mat &mask=Mat(), const Mat &normals=Mat(), int ID=-1)
virtual | ~RgbdFrame ()

## Static Public Member Functions
static Ptr< OdometryFrame > | create (const Mat &image=Mat(), const Mat &depth=Mat(), const Mat &mask=Mat(), const Mat &normals=Mat(), int ID=-1)
Static Public Member Functions inherited from cv::rgbd::RgbdFrame
static Ptr< RgbdFrame > | create (const Mat &image=Mat(), const Mat &depth=Mat(), const Mat &mask=Mat(), const Mat &normals=Mat(), int ID=-1)

## Public Attributes
std::vector< Mat > | pyramid_dI_dx
std::vector< Mat > | pyramid_dI_dy
std::vector< Mat > | pyramidCloud
std::vector< Mat > | pyramidDepth
std::vector< Mat > | pyramidImage
std::vector< Mat > | pyramidMask
std::vector< Mat > | pyramidNormals
std::vector< Mat > | pyramidNormalsMask
std::vector< Mat > | pyramidTexturedMask
Public Attributes inherited from cv::rgbd::RgbdFrame
Mat | depth
int | ID
Mat | image
Mat | mask
Mat | normals

## Detailed Description

Object that contains a frame data that is possibly needed for the Odometry. It's used for the efficiency (to pass precomputed/cached data of the frame that participates in the Odometry processing several times).

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

These constants are used to set a type of cache which has to be prepared depending on the frame role: srcFrame or dstFrame (see compute method of the Odometry class). For the srcFrame and dstFrame different cache data may be required, some part of a cache may be common for both frame roles.

Parameters

  CACHE_SRC | The cache data for the srcFrame will be prepared.
  CACHE_DST | The cache data for the dstFrame will be prepared.
  CACHE_ALL | The cache data for both srcFrame and dstFrame roles will be computed.

Enumerator
CACHE_SRC |
CACHE_DST |
CACHE_ALL |

## Constructor & Destructor Documentation

## ◆ OdometryFrame() [1/2]

cv::rgbd::OdometryFrame::OdometryFrame | ( |  | ) |

## ◆ OdometryFrame() [2/2]

cv::rgbd::OdometryFrame::OdometryFrame | ( | const Mat & | image,
|  | const Mat & | depth,
|  | const Mat & | mask = `Mat()`,
|  | const Mat & | normals = `Mat()`,
|  | int | ID = `-1`
| ) |  |

## Member Function Documentation

## ◆ create()

static Ptr<OdometryFrame> cv::rgbd::OdometryFrame::create | ( | const Mat & | image = `Mat()`,
|  | const Mat & | depth = `Mat()`,
|  | const Mat & | mask = `Mat()`,
|  | const Mat & | normals = `Mat()`,
|  | int | ID = `-1`
| ) |  |
| static

## ◆ release()

virtual void cv::rgbd::OdometryFrame::release | ( |  | ) |
| virtual

Reimplemented from cv::rgbd::RgbdFrame.

## ◆ releasePyramids()

void cv::rgbd::OdometryFrame::releasePyramids | ( |  | ) |

## Member Data Documentation

## ◆ pyramid_dI_dx

std::vector<Mat> cv::rgbd::OdometryFrame::pyramid_dI_dx

## ◆ pyramid_dI_dy

std::vector<Mat> cv::rgbd::OdometryFrame::pyramid_dI_dy

## ◆ pyramidCloud

std::vector<Mat> cv::rgbd::OdometryFrame::pyramidCloud

## ◆ pyramidDepth

std::vector<Mat> cv::rgbd::OdometryFrame::pyramidDepth

## ◆ pyramidImage

std::vector<Mat> cv::rgbd::OdometryFrame::pyramidImage

## ◆ pyramidMask

std::vector<Mat> cv::rgbd::OdometryFrame::pyramidMask

## ◆ pyramidNormals

std::vector<Mat> cv::rgbd::OdometryFrame::pyramidNormals

## ◆ pyramidNormalsMask

std::vector<Mat> cv::rgbd::OdometryFrame::pyramidNormalsMask

## ◆ pyramidTexturedMask

std::vector<Mat> cv::rgbd::OdometryFrame::pyramidTexturedMask

The documentation for this struct was generated from the following file:

- opencv2/rgbd/depth.hpp